> ## Documentation Index
> Fetch the complete documentation index at: https://docs.devinenterprise.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List available roles

> List all roles that are available to the user's enterprise

Requires an enterprise admin personal API key.

Returns a list of all roles available in your enterprise, including both enterprise-level and organization-level roles. Each role includes its unique identifier, display name, and type.


## OpenAPI

````yaml /v2-openapi.yaml GET /v2/enterprise/roles
openapi: 3.1.0
info:
  description: Devin v2 API with Personal API Keys for Enterprise Admins
  title: Devin API v2
  version: 2.0.0
servers: []
security:
  - bearerAuth: []
paths:
  /v2/enterprise/roles:
    get:
      tags:
        - roles
      summary: Enterprise Roles Endpoint
      description: |-
        List all roles that are available to the user's enterprise.
        For each role, include the role_id, role_name, and role_type.
      operationId: enterprise_roles_endpoint_v2_enterprise_roles_get
      responses:
        '200':
          content:
            application/json:
              schema:
                items:
                  $ref: '#/components/schemas/RoleResponse'
                title: Response Enterprise Roles Endpoint V2 Enterprise Roles Get
                type: array
          description: Successful Response
components:
  schemas:
    RoleResponse:
      properties:
        role_id:
          title: Role Id
          type: string
        role_name:
          title: Role Name
          type: string
        role_type:
          title: Role Type
          type: string
      required:
        - role_id
        - role_name
        - role_type
      title: RoleResponse
      type: object
  securitySchemes:
    bearerAuth:
      description: Personal API Key (apk_user_*) for Enterprise Admins only
      scheme: bearer
      type: http

````